<?php
require("../../../config/koneksi.php");
require("../../../config/function.php");
require("../../../config/crud.php");
(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';


if ($pg == 'absen') {
  $sakit = $_POST['sakit'];
  $izin = $_POST['izin'];
  $alpha = $_POST['alpha'];
  $ids = $_POST['ids'];
	
	$data=[
	'sakit' =>$sakit,
	'izin' =>$izin,
	'alpha' =>$alpha
	];
	
	update($koneksi,'siswa',$data,['id_siswa'=>$ids]);
	
}
if ($pg == 'catat') {
 
  $catat = $_POST['catat'];
  $ids = $_POST['ids'];
	
	$data=[
	'catatan' =>$catat
	];
	
	update($koneksi,'siswa',$data,['id_siswa'=>$ids]);
	
}
if ($pg == 'prestasi') {
 
   $jenis = $_POST['jenis'];
   $tingkat = $_POST['tingkat'];
   $nis = $_POST['ids'];
   $juara = $_POST['juara'];
	
	$data=[
	'nis'=>$nis,
	'jenis'=>$jenis,
	'ket'=>$tingkat." dengan juara ".$juara
	];
	
	insert($koneksi,'prestasi',$data);
	
}
if ($pg == 'eskul') {
 
  $eskul = $_POST['eskul'];
 
	$simpan = mysqli_query($koneksi,"INSERT INTO m_eskul(ekstra) VALUES('$eskul')");
	echo $simpan;
}
if ($pg == 'hapus') {
    $id = $_POST['id'];
    $exec = delete($koneksi, 'm_eskul', ['id' => $id]);
}
if ($pg == 'peserta') {
 
   $kelas = $_POST['kelas'];
   $nis = $_POST['nis'];
   $eskuler = $_POST['eskuler'];
	
	$data=[
	'nis'=>$nis,
	'eskuler'=>$eskuler,
     'kelas'=>$kelas
	];
	
	insert($koneksi,'siswa_eskul',$data);
	
}
if ($pg == 'nilai') {
   $id = $_POST['id'];
   $nilai = $_POST['nilai'];
	$ket = $_POST['ket'];
	
	$data=[
	'nilai'=>$nilai,
     'ket'=>$ket
	];
	
	update($koneksi,'siswa_eskul',$data,['id'=>$id]);
	
}